package com.service;

import com.repository.RegistrationRepository;
import com.service.impl.RegistrationServiceImpl;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.MockitoAnnotations;
import org.mockito.runners.MockitoJUnitRunner;

/**
 * Created by Cyan on 6/26/2016.
 */
@RunWith(MockitoJUnitRunner.class)
public class RegistrationServiceTest {

    @InjectMocks
    private RegistrationService registrationService = new RegistrationServiceImpl();

    @Mock
    private RegistrationRepository registrationRepository;

    @Before
    public void init() {
        MockitoAnnotations.initMocks(this);
    }

    @Test
    public void testCheckEmail() throws Exception {
        String email = "test email";

        this.registrationService.checkEmail(email);
    }
}
